linux-firmware missing realtek firmware files

Bug #804671 reported by echo6 on 2011-07-02
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Tim Gardner
Maverick
Undecided
Tim Gardner
Natty
Undecided
Tim Gardner

Bug Description

Distributor ID: Ubuntu
Description: Ubuntu 10.04.2 LTS
Release: 10.04
Codename: lucid
package linux-firmware 0:1.34.7

update-initramfs -u -k 2.6.38.8
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169

I've only noticed this when installing kernel version 2.6.38.8 on box which has a realtek 8168 ethernet card, so it may be the case for earlier kernel versions.

This has also been recognised as a Debian bug, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561309

http://ubuntuforums.org/showthread.php?p=11004228

linux-firmware needs to be updated to include the missing files,
   * Realtek RTL8111D-1/RTL8168D-1 firmware (rtl_nic/rtl8168d-1.fw)
   * Realtek RTL8111D-2/RTL8168D-2 firmware (rtl_nic/rtl8168d-2.fw)

Tim Gardner (timg-tpi) on 2011-07-05
Changed in linux-firmware (Ubuntu Natty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2011-07-05
Changed in linux-firmware (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in linux-firmware (Ubuntu):
status: New → Invalid
Martin Pitt (pitti) wrote :

Note that this SRU is blocked by the current -proposed package. Keeping in queue until that is verified.

Jonathan Reed (jdreed) wrote :

Can this SRU move forward?

Clint Byrum (clint-fewbar) wrote :

It seems that bug 770232 failed verification, so this can't move forward unless another version is uploaded which reverts those firmware updates, which aren't related to this bug.

Since this has been in the queue for natty for so long, I'm rejecting 1.52.2 from the natty-proposed queue, please upload a new version with either fixes for 770232 or which reverts those updates to rt2800.

Seth Forshee (sforshee) wrote :

I sent a pull request to the kernel-team list to revert the commit blocking the proposed package. This had already been taken care of for the other series, but somehow it got missed for natty.

Clint Byrum (clint-fewbar) wrote :

Alright, so we're *almost* there. Because 1.52.2 never made it in to natty-proposed/updates, the .changes file from the upload of 1.52.3 to natty-proposed doesn't list bug #804671, but does effectively include its fix. This is pretty important for displaying updates and the way things move through our system, so the source package needs to be re-generated with the additional argument of -v1.52.1, otherwise the bugs won't show up properly. Rejecting now, please try one more time. (Reposting to all bugs in the upload).

Hello echo6, or anyone else affected,

Accepted linux-firmware into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Hello echo6, or anyone else affected,

Accepted linux-firmware into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Hello echo6, or anyone else affected,

Accepted linux-firmware into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

CTenorman (ctenorman) wrote :

I'm running Oneiric beta 2 with all backport and proposed repositories turned on and an RTL8192SU usb card. Ubuntu still can't find the card.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.38.10

---------------
linux-firmware (1.38.10) maverick-proposed; urgency=low

  * ath3k-fw: Fix EEPROM radio table issue.
    LP: #882685

linux-firmware (1.38.9) maverick-proposed; urgency=low

  * Added firmware files to support compat-wireless
    linux-firmware: add new firmware for RTL8168E-VL
    linux-firmware: update firmware for RTL8111E
    linux-firmware: Add firmware for RTL8168/8111E
    linux-firmware: Add firmware for RTL8105E
    rtl_nic: Add firmware for RTL8111D(L)
    -LP: #804671

linux-firmware (1.38.8) maverick-proposed; urgency=low

  * Added carl9170.fw for Atheros wireless AR9170 based devices.
    -LP: #713987

linux-firmware (1.38.7) maverick-proposed; urgency=low

  * Added iwlwifi-1000-5.ucode
    -LP: #752829
 -- Tim Gardner <email address hidden> Fri, 28 Oct 2011 09:50:12 -0600

Changed in linux-firmware (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.34.14

---------------
linux-firmware (1.34.14) lucid-proposed; urgency=low

  * Add new iwlwifi ucode files
    iwlwifi: add new firmware for 6000g2b devices
    iwlwifi: add new firmware for 2030 devices
    iwlwifi: add new firmware for 2000 devices
    iwlwifi: add new firmware for 135 devcies
    iwlwifi: add new firmware for 105 devices
    -LP: #918351

linux-firmware (1.34.13) lucid-proposed; urgency=low

  * ath3k-fw: Fix EEPROM radio table issue.
    LP: #882685

linux-firmware (1.34.12) lucid-proposed; urgency=low

  * Added firmware files to support Oneiric LTS backport
    linux-firmware: Add a new FW 7.0.20.0
    bnx2x: Adding FW 7.0.23.0
    -LP: #808884

linux-firmware (1.34.11) lucid-proposed; urgency=low

  * Added firmware files to support compat-wireless
    linux-firmware: add new firmware for RTL8168E-VL
    linux-firmware: update firmware for RTL8111E
    linux-firmware: Add firmware for RTL8168/8111E
    linux-firmware: Add firmware for RTL8105E
    rtl_nic: Add firmware for RTL8111D(L)
    -LP: #804671

linux-firmware (1.34.10) lucid-proposed; urgency=low

  * Added carl9170.fw for Atheros wireless AR9170 based devices.
    -LP: #713987

linux-firmware (1.34.9) lucid-proposed; urgency=low

  * Add Firmware for Atheros HTC devices (ath9k)
    -LP: #653854

linux-firmware (1.34.8) lucid-proposed; urgency=low

  * Added iwlwifi-1000-5.ucode
    -LP: #752829
 -- Tim Gardner <email address hidden> Tue, 24 Jan 2012 11:20:22 -0700

Changed in linux-firmware (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.52.4

---------------
linux-firmware (1.52.4) natty-proposed; urgency=low

  * no change upload with version difference.

linux-firmware (1.52.3) natty-proposed; urgency=low

  * Revert: linux-firmware: rt2800pci: rt2800usb: Firmware update
    Causes a shutdown regression.
    -LP: #762987
    -LP: #770232

linux-firmware (1.52.2) natty-proposed; urgency=low

  * Add firmware to support compat-wireless backports
    linux-firmware: add new firmware for RTL8168E-VL
    linux-firmware: update firmware for RTL8111E
    linux-firmware: Add firmware for RTL8168/8111E
    linux-firmware: Add firmware for RTL8105E
    -LP: #804671

linux-firmware (1.52.1) natty-proposed; urgency=low

  * Update rt2800 firmware
    -LP: #762987
    -LP: #770232
 -- Tim Gardner <email address hidden> Mon, 12 Sep 2011 19:28:14 -0600

Changed in linux-firmware (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers